package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysCustomBlacklistTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface SysCustomBlacklistRepository extends BaseRepository<SysCustomBlacklistTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysCustomBlacklistTable> findAllByIdIn(List<Long> ids);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysCustomBlacklistTable findFirstById(Long id);

    SysCustomBlacklistTable getFirstById(Long id);

    void deleteByIdNotIn(List<Long> ids);
}
